#Drivers directory
drivers.dir=jc.config/lib

#Services
jonas.services=registry,jmx,jtm,db,security,resource,ejb3,web,cmi,ear,depmonitor,discovery
jonas.master    true
#  Set to true in order to execute the JOnAS Server in development mode.
#
#  WAR archive deployment case in development mode (for single or EAR packaged WARs):
#  Each modified WAR archive will be unpacked in the working directory of the JOnAS Server
#  in a different folder to avoid file locks. This is especially useful in a Windows environment.
jonas.development    true

#Jms
jms.port=16060
jms.topics=sampleTopic,InvoiceTopic
jms.queues=sampleQueue,OrderApprovalQueue,OrdersQueue,MailCompletedOrderQueue,SupPurchaseOrderQueue,MailOrderApprovalQueue,MailQueue

#Carol
carol.allport=2063
carol.defaultprotocol=jrmp
carol.protocol=jrmp
carol.jrmpopt=false
carol.localregistry=true

#Web
webcontainer.port=9600
# Tomcat
webcontainer.service.defaultname=tomcat
webcontainer.service.name=tomcat
webcontainer.ondemandenabled=true
webcontainer.ondemanderedirectport=0
#Db
db.port=9006

#Discovery
# sourceport is set to -1 for disabling the master node
discovery.sourceport=9888
discovery.greetingport=9904
discovery.mcastaddr=224.224.224.224
discovery.mcastport=9080
discovery.ttl=1
#Database
rajdbc.defaultname=hsql
rajdbc.name=hsql

#DB connections through RAR

rajdbc.hsql.user=jonas
rajdbc.hsql.password=jonas
rajdbc.hsql.url=jdbc:hsqldb:hsql://localhost:9005/db_jonas
rajdbc.hsql.drivername=org.hsqldb.jdbcDriver
rajdbc.hsql.jndiname=jdbc_1
rajdbc.hsql.jdbcdriverjarfile=none
rajdbc.hsql.mappername=rdb.hsql

#DB connections through datasource XML

xmljdbc.hsql.name=jdbc_1
xmljdbc.hsql.username=jonas
xmljdbc.hsql.password=jonas
xmljdbc.hsql.url=jdbc:hsqldb:hsql://localhost:9005/db_jonas
xmljdbc.hsql.mapper=rdb.hsql
xmljdbc.hsql.classname=org.hsqldb.jdbcDriver
xmljdbc.hsql.conteststmt=select count(1) from information_schema.system_tables
xmljdbc.hsql.connmaxage=1440
xmljdbc.hsql.conchecklevel=2
xmljdbc.hsql.initconpool=10
xmljdbc.hsql.minconpool=10
xmljdbc.hsql.maxconpool=100
xmljdbc.hsql.maxopentime=60
xmljdbc.hsql.maxwaiters=100
xmljdbc.hsql.maxwaitingtime=5
xmljdbc.hsql.pstmtmax=100
xmljdbc.hsql.samplingperiod=100

#Mail
mail.session.name=mailSession_1
mail.mimepartds.name=mailMimePartDS_1
mail.to=jean.dupont@objectweb.org
mail.subject=test mail


#Wsdl
wsdl.file.name=wsdlJean_Dupont
wsdl.file.dir=/tmp/

